Occlusogram Upper Segmentation
POST /occlusogram-upper-seg
Segments individual teeth in upper arch dental model images for precise occlusogram boundary detection.

Image Type: Upper Dental Model Photograph | Tags: Segmentation Upper Arch Occlusogram
Request Parameters
| Parameter | Type | Required | Description |
|---|---|---|---|
PatientID | string | ✅ | Unique patient identifier |
TimeStamp | string | ✅ | Analysis session timestamp |
ImageName | string | ✅ | Full URL to the image |
DrawContours | boolean | ❌ | Draw contour outlines on output |
Example Request
curl -X POST \
https://api.annie-insights.com/api/v2/occlusogram-upper-seg \
-H "Content-Type: application/json" \
-H "x-api-key: YOUR_API_KEY" \
-d '{"PatientID":"P-001","TimeStamp":"2026-05-24","ImageName":"https://example.com/upper.jpg","DrawContours":true}'
Sample Response
{
"Version": "2024.1.0",
"Results": {
"i1_rgt_up": {"missing": false, "points": [[441,195],[441,201],"..."]},
"m1_lft_up": {"missing": true, "points": [0,0]}
},
"OutputImageUrl": "https://annieapistorage.blob.core.windows.net/..."
}